#!/bin/sh

if [ x`id -u` != "x0" ]; then
  echo "You must have root rights to run this script"
  exit
fi

if [ -x "/opt/PgImport/PgImport" ] && [ -x "/opt/PgImport/PgImportC" ]; then
  cp "./PgImport" "/opt/PgImport" || exit
  echo
  echo "/opt/PgImport/PgImport is updated"
  echo
  cp "./PgImportC" "/opt/PgImport" || exit
  echo
  echo "/opt/PgImport/PgImportC is updated"
  echo
  echo
  echo "PostgreSQL Import updated successfully"
  echo
else
  if ! [ -x "/opt/PgImport/PgImport" ]; then
    echo
    echo "Previously installed file /opt/PgImport/PgImport not found."
  fi
  if ! [ -x "/opt/PgImport/PgImportC" ]; then
    echo
    echo "Previously installed file /opt/PgImport/PgImportC not found."
  fi
  echo
  echo "Update fail"
  echo
fi